| Home | Libraries | People | FAQ | More

## Struct template inplace_insert

boost::icl::inplace_insert

## Synopsis

    // In header: <boost/icl/functors.hpp>

    template<typename Type>
    struct inplace_insert :
      public boost::icl::identity_based_inplace_combine< Type >
    {
      // types
      typedef inplace_insert< Type > type;

      // public member functions
      void operator()(Type &, const Type &) const;
    };

## Description

### `inplace_insert` public member functions

1.     void operator()(Type & object, const Type & operand) const;